// loading module
// @author Pluto <huarse@gmail.com>
// @create 2018/05/22

import React from 'react';
import classNames from 'classnames';
import "./index.less";
export default function LoadingMod(_ref) {
  var _ref$horizontal = _ref.horizontal,
    horizontal = _ref$horizontal === void 0 ? false : _ref$horizontal,
    _ref$imgSrc = _ref.imgSrc,
    imgSrc = _ref$imgSrc === void 0 ? 'https://img.alicdn.com/tps/i3/TB1VG6aHXXXXXXZXpXX2GPaIVXX-80-80.gif' : _ref$imgSrc,
    _ref$showImg = _ref.showImg,
    showImg = _ref$showImg === void 0 ? true : _ref$showImg,
    _ref$height = _ref.height,
    height = _ref$height === void 0 ? '200px' : _ref$height,
    className = _ref.className,
    noborder = _ref.noborder,
    children = _ref.children;
  var clazz = classNames('container', 'loading', 'className', {
    horizontal: horizontal,
    bordered: !noborder
  });
  return /*#__PURE__*/React.createElement("div", {
    className: clazz,
    style: {
      height: height
    }
  }, showImg ? /*#__PURE__*/React.createElement("div", {
    className: "imgbox"
  }, /*#__PURE__*/React.createElement("img", {
    src: imgSrc,
    alt: ""
  })) : null, children ? /*#__PURE__*/React.createElement("div", {
    className: "desc"
  }, children) : null);
}