function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["columns"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useMemo } from 'react';
import { mapProps } from 'recompose';
import { Row, Col, Divider } from 'antd';
import CFForm from "./form";
// import RichText from '@/RichText';

export default mapProps(function (_ref) {
  var _ref$columns = _ref.columns,
    columns = _ref$columns === void 0 ? 1 : _ref$columns,
    others = _objectWithoutProperties(_ref, _excluded);
  return _objectSpread({
    columns: columns,
    renderItemList: function renderItemList(controlItems, actionFormItems) {
      var $divider = useMemo(function () {
        return /*#__PURE__*/React.createElement(Divider, {
          className: "cf-compose-form-action-divider"
        });
      }, []);
      // 单栏模式，直接垂直渲染
      if (columns - 1 <= 0) {
        return /*#__PURE__*/React.createElement(React.Fragment, null, controlItems, actionFormItems && $divider, actionFormItems);
      }
      var colSpan = Math.floor(24 / columns);
      var itemIndex = 0;
      // 向上取整，避免有漏掉的
      var colItemsCount = Math.ceil(controlItems.length / columns);
      return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Row, null, new Array(columns).fill(0).map(function (_, index) {
        var $col = /*#__PURE__*/React.createElement(Col, {
          span: colSpan,
          key: index
        }, controlItems.slice(itemIndex, itemIndex + colItemsCount));
        itemIndex += colItemsCount;
        return $col;
      }), actionFormItems && $divider, actionFormItems && /*#__PURE__*/React.createElement(Col, {
        span: colSpan,
        offset: 24 - colSpan,
        key: "actions"
      }, actionFormItems)));
    }
  }, others);
})(CFForm);