var _excluded = ["value", "onChange", "maxLength", "noShowSuffix", "emitter", "onBlur", "form"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Input } from 'antd';
import "./index.less";
export default (function (_ref) {
  var value = _ref.value,
    _onChange = _ref.onChange,
    maxLength = _ref.maxLength,
    noShowSuffix = _ref.noShowSuffix,
    emitter = _ref.emitter,
    _onBlur = _ref.onBlur,
    form = _ref.form,
    others = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Input, _extends({
    value: value,
    onChange: function onChange(e) {
      return _onChange(e.target.value.trim());
    },
    onBlur: function onBlur() {
      return _onBlur && _onBlur({
        value: value,
        form: form
      });
    },
    maxLength: maxLength,
    placeholder: "\u8BF7\u8F93\u5165"
  }, others, {
    suffix: maxLength && !noShowSuffix ? "".concat((value === null || value === void 0 ? void 0 : value.length) || 0, "/").concat(maxLength) : '',
    className: maxLength ? 'input-withMaxLength' : ''
  })));
});