function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }
function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }
function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }
function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }
function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import React, { Component } from 'react';
// import PropTypes from 'prop-types';
import { Tag } from 'antd';
import { memoize } from 'lodash';
var TagGroup = Tag.Group,
  SelectableTag = Tag.Selectable;
var formatDataSource = memoize(function () {
  var dataSource = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  return dataSource.reduce(function (result, _ref) {
    var activityCode = _ref.activityCode,
      activityName = _ref.activityName,
      activityRoleName = _ref.activityRoleName;
    var _roleName = activityRoleName || '其他';
    return _objectSpread(_objectSpread({}, result), {}, _defineProperty({}, _roleName, [].concat(_toConsumableArray(result[_roleName] || []), [{
      value: activityCode,
      text: activityName
    }])));
  }, {});
});
var TagRadio = /*#__PURE__*/function (_Component) {
  _inherits(TagRadio, _Component);
  var _super = _createSuper(TagRadio);
  function TagRadio() {
    var _this;
    _classCallCheck(this, TagRadio);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty(_assertThisInitialized(_this), "itemChangeHandler", memoize(function (name) {
      return function (checked) {
        var value = checked ? name : null;
        _this.props.onChange(value);
      };
    }));
    return _this;
  }
  _createClass(TagRadio, [{
    key: "renderItems",
    value: function renderItems(activities) {
      var _this2 = this;
      return /*#__PURE__*/React.createElement(TagGroup, null, activities.map(function (_ref2) {
        var text = _ref2.text,
          value = _ref2.value;
        return /*#__PURE__*/React.createElement(SelectableTag, {
          key: value,
          checked: value === _this2.props.value,
          onChange: _this2.itemChangeHandler(value),
          size: "small"
        }, text);
      }));
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;
      var dataSource = this.props.dataSource;
      var roleMap = formatDataSource(dataSource);
      if (!dataSource || dataSource.length === 0) return /*#__PURE__*/React.createElement("p", null, "\u65E0");
      return /*#__PURE__*/React.createElement("div", {
        className: "cf-tag-radio"
      }, Object.keys(roleMap).map(function (roleName) {
        return /*#__PURE__*/React.createElement("div", {
          className: "cf-tag-radio-item",
          key: roleName
        }, /*#__PURE__*/React.createElement("div", {
          className: "cf-tag-radio-label-wrap"
        }, /*#__PURE__*/React.createElement("label", {
          className: "cf-tag-radio-label"
        }, roleName)), /*#__PURE__*/React.createElement("div", {
          className: "cf-tag-radio-content"
        }, _this3.renderItems(roleMap[roleName])));
      }));
    }
  }]);
  return TagRadio;
}(Component); // TagRadio.propTypes = {
//   dataSource: PropTypes.arrayOf(PropTypes.shape({
//     activityCode: PropTypes.string,
//     activityName: PropTypes.string,
//     activityRoleName: PropTypes.string,
//   })),
//   onChange: PropTypes.func,
//   // 组件值——当前选中的 activityCode
//   value: PropTypes.string,
// };
export { TagRadio as default };
TagRadio.defaultProps = {
  onChange: function onChange() {}
};