function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
var _excluded = ["hasRefresh", "refreshText", "request"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
// notice module
// @author Pluto <huarse@gmail.com>
// @create 2020/06/22 21:20

import React, { useState, useEffect, useCallback } from 'react';
import { Alert } from 'antd';
import useRequest from "../common/use-request";
// 提示模块的数据
function useNotice(onRefresh, alertProps) {
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    notice = _useState2[0],
    setNotice = _useState2[1];
  var _useRequest = useRequest((alertProps === null || alertProps === void 0 ? void 0 : alertProps.request) || ''),
    _useRequest2 = _slicedToArray(_useRequest, 1),
    remoteData = _useRequest2[0];
  var handleRefresh = useCallback(function (e) {
    e.preventDefault();
    onRefresh();
  }, [onRefresh]);
  useEffect(function () {
    var _ref = alertProps || {},
      hasRefresh = _ref.hasRefresh,
      _ref$refreshText = _ref.refreshText,
      refreshText = _ref$refreshText === void 0 ? '立即更新' : _ref$refreshText,
      request = _ref.request,
      others = _objectWithoutProperties(_ref, _excluded);
    var nextProps = null;
    if (!alertProps) {
      nextProps = null;
    } else if (request && remoteData) {
      nextProps = _objectSpread(_objectSpread({
        type: 'info',
        showIcon: true
      }, others), remoteData);
    } else {
      nextProps = _objectSpread({
        type: 'info',
        showIcon: true
      }, others);
    }
    // 如果配置了 hasRefresh，则在 message 后面拼接更新按钮
    if (hasRefresh) {
      nextProps.message = /*#__PURE__*/React.createElement(React.Fragment, null, nextProps.message, /*#__PURE__*/React.createElement("a", {
        href: "#",
        className: "cf-manage-alert-refresh-btn",
        onClick: handleRefresh
      }, refreshText));
    }
    setNotice(nextProps);
  }, [alertProps, remoteData]);
  return [notice];
}
export default function NoticeSection(_ref2) {
  var alertProps = _ref2.alertProps,
    onRefresh = _ref2.onRefresh;
  var _useNotice = useNotice(onRefresh, alertProps),
    _useNotice2 = _slicedToArray(_useNotice, 1),
    notice = _useNotice2[0];
  if (!notice) return null;
  return /*#__PURE__*/React.createElement("section", {
    className: "section-alert"
  }, /*#__PURE__*/React.createElement(Alert, notice));
}