function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Button, Checkbox, Input } from 'antd';
import Select from "../../select";
// import TreeSelect from '@/tree-select';
import MobilePhone from "./mobile-phone";
import InputPostfix from "./input";
import InputNumber from "./inputNumber";
import { DatePicker_, RangePicker_, TimePicker_, TimeRangePicker_, RangePickerDisabled } from "./datePick";
import ConfirmSubmit from "./confirmSubmit";
import RadioGroup from "../../radio-group";
import CheckboxGroup from "../../checkbox-group";
import SwitchChecked from "./switch-checked";
import Text from "./text";
import BooleanToText from "./booleanToText";
import Form_ from "../../button/form";
import SelectSearch from "../../button/select-search";
import Textarea from "./textarea";
import cascaderSelect from "./cascaderSelect";
import LinkText from "../../link-text";
import UploadImg from "./uploadImg";
import UploadFile from "./uploadFile";
import RichTextEditor from "../../Editor";
import SelectCph from "./select-cph";
// const submitHOC = compose(
//   withProps(() => ({
//     htmlType: 'submit',
//   })),
// );

var submitHOC = function submitHOC(Component) {
  return function (props) {
    return /*#__PURE__*/React.createElement(Component, _extends({
      htmlType: "submit"
    }, props));
  };
};
export default {
  input: InputPostfix,
  password: Input.Password,
  textarea: Textarea,
  number: InputNumber,
  'cascader-select': cascaderSelect,
  'date-picker': DatePicker_,
  datepicker: DatePicker_,
  'date-range-picker': RangePicker_,
  'date-range-picker-disabled': RangePickerDisabled,
  'time-range-picker': TimeRangePicker_,
  'time-picker': TimePicker_,
  timepicker: TimePicker_,
  form: Form_,
  'select-search': SelectSearch,
  switch: SwitchChecked,
  select: Select,
  text: Text,
  booleanToText: BooleanToText,
  // form表单底部按钮
  button: Button,
  submit: submitHOC(Button),
  confirmSubmit: ConfirmSubmit,
  reset: Button,
  checkbox: Checkbox,
  checkboxGroup: CheckboxGroup,
  'checkbox-group': CheckboxGroup,
  radio: RadioGroup,
  mobilePhone: MobilePhone,
  linkText: LinkText,
  'upload-img': UploadImg,
  'upload-file': UploadFile,
  'rich-text-editor': RichTextEditor,
  'select-cph': SelectCph
};
export { default as UnSupport } from "./un-support";