var _excluded = ["value", "onChange", "maxLength", "form", "type"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import { Input } from 'antd';
import "./index.less";
var TextArea = Input.TextArea;
export default (function (_ref) {
  var value = _ref.value,
    _onChange = _ref.onChange,
    _ref$maxLength = _ref.maxLength,
    maxLength = _ref$maxLength === void 0 ? 200 : _ref$maxLength,
    form = _ref.form,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'normal' : _ref$type,
    others = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TextArea, _extends({
    className: type === 'normal' ? 'ssp-textarea' : '',
    value: value,
    onChange: function onChange(e) {
      return console.log(e) & _onChange(e.target.value.trim());
    },
    maxLength: maxLength,
    bordered: type !== 'normal',
    placeholder: "\u8BF7\u8F93\u5165",
    showCount: type === 'normal',
    autoSize: type !== 'normal' ? undefined : {
      minRows: 4,
      maxRows: 4
    }
  }, others)));
});