var _excluded = ["value", "format"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
// import { mapProps } from 'recompose';
import React from 'react';
import moment from 'dayjs';
import Text from "./text";
var formatDate = function formatDate(value, format) {
  return value ? moment(new Date(value)).format(format) : '';
};
var DatetimeText = function DatetimeText(_ref) {
  var value = _ref.value,
    format = _ref.format,
    others = _objectWithoutProperties(_ref, _excluded);
  var formattedValue = React.useMemo(function () {
    return formatDate(value, format);
  }, [value, format]);
  return /*#__PURE__*/React.createElement(Text, _extends({}, others, {
    value: formattedValue
  }));
};
export default DatetimeText;

// export default mapProps(({ value, format, ...others }) => {
//   return ({
//     value: value ? moment(new Date(value)).format(format) : '',
//     ...others,
//   });})(Text);